Succesvolle migratie en upgrade PHP

Geplaatst op 22-06-2021, door 20nine

De migratie van 18 mei is succesvol verlopen en afgerond. We starten nu met fase 2 van het optimaliseren van ons hosting platform. 

We hebben na de migratie de PHP-versies 7.4 en 8.0 toegevoegd aan ons platform. Op dit moment draaien we nog PHP-versie 5.5, 5.6, 7.0, 7.1, 7.2, 7.3, 7.4 en 8.0.

Wij kunnen de PHP-versies 5.5 tot en met 7.2 niet langer ondersteunen. Dit betekent dat wanneer er problemen zijn met je website we hier geen support meer op kunnen verlenen. De ontwikkelaars brengen geen updates meer uit voor verouderde versies en daardoor kunnen wij voor deze versies de veiligheid en werking niet langer garanderen. Bij 20nine hebben wij veiligheid hoog in het vaandel staan. Wij installeren daarom altijd de meest recente versie van PHP. Zodra er een update verschijnt, voeren wij die uit.

Wat betekent dit voor jou?

Wanneer je website op een PHP-versie lager dan 7.3 draait, adviseren we jou om de website zo spoedig mogelijk te (laten) upgraden. Het voordeel van het upgraden naar een hogere PHP-versie is dat de website niet alleen veiliger maar ook sneller wordt.

In vergelijking met oudere PHP-versies zijn in nieuwe versies bepaalde functies verdwenen, aangepast of nieuwe functies toegevoegd. Het kan daarom gebeuren dat je website na de update vanaf versie 7.3 niet meer functioneert zoals je dat gewend bent.

Heb je een webshop of maak je gebruik van een CMS met themabestanden zoals Wordpress, Joomla etc.? Controleer dan ook of de themabestanden geschikt zijn voor de meest recente PHP-versie.

Heeft je website de afgelopen twee jaar geen update gehad? Dan is het mogelijk dat de website niet geschikt is voor recente PHP-versies. De website moet dan geüpdatet worden. Je kunt hiervoor contact opnemen met ons via support@20nine.nl of met de ontwikkelaar van je website.

Hoe controleer je de huidige PHP-versie?

De huidige PHP-versie kun je controleren op de server. Hiervoor kun je inloggen via onze website https://20nine.nl. Kies Support en dan Serverbeheer. Wanneer je bent ingelogd op de server dan kun je de PHP-versie aanpassen onder het kopje Dev Tools. Je dient zelf te controleren of de front- en de backend van je website nog functioneren. Mocht je nog geen toegang hebben tot de server, of heb je liever dat wij het controleren, neem dan even contact met ons op via support@20nine.nl.